# Uses of Class
net.shibboleth.idp.authn.principal.HOTPPrincipal

Packages that use HOTPPrincipal
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of HOTPPrincipal in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal that return HOTPPrincipal
Modifier and Type
Method
Description
`HOTPPrincipal`
HOTPPrincipal.`clone()`
Creates and returns a copy of this object.